/**
 * @file
 * JavaScript file for the Notify Log module.
 */

(function ($, Drupal, drupalSettings) {

  'use strict';

  /**
   * Attaches Notify Log module behaviors.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attach Notify Log functionality to the page.
   */
  Drupal.behaviors.notifyLog = {
    attach: function () {
      if (typeof drupalSettings.notifyLog !== 'undefined') {
        $.each(drupalSettings.notifyLog, function(key, value) {
          $.notify(value.type + ': ' + value.message, value);
        });

        drupalSettings.notifyLog = undefined;
      }
    }
  };

})(jQuery, Drupal, drupalSettings);
